Get Skill Details
GET
/api/v3/organizations/{organisation}/ai/skills/{skillId}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/skills/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/skills/example \ --header 'Authorization: Bearer <token>'Retrieves full details of a skill including its content, source information, and metadata.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
skillId
required
string
The skill ID
Responses
Section titled “Responses”Skill details retrieved successfully
Media typeapplication/json
object
skill
object
skillId
string
name
string
description
string
content
string
triggerCondition
string
tags
Array<string>
source
object
requiredTools
Array<string>
files
object
namespace
string
disableModelInvocation
boolean
allowedTools
Array<string>
installedAt
string format: date-time
updatedAt
string format: date-time
Examplegenerated
{ "skill": { "skillId": "example", "name": "example", "description": "example", "content": "example", "triggerCondition": "example", "tags": [ "example" ], "source": {}, "requiredTools": [ "example" ], "files": {}, "namespace": "example", "disableModelInvocation": true, "allowedTools": [ "example" ], "installedAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" }}Access denied
Skill not found
Failed to retrieve skill
